/*	
	Svistunovich Oleg
	Codepage Converter 
        19, Jan 1999
	usage: cat input.txt | conv maptable 
	tables by A.Mikhialian
*/

#include <stdio.h>
#include <string.h>

int main(int argc, char **argv)
{
    if (argc<2) 
	{ fprintf(stderr, "convcyr <table>\n"); return 1; }
    FILE *ftable;
    if ((ftable = fopen(argv[1], "rb"))==NULL) 
	{ fprintf(stderr, "can not open table '%s'\n", argv[1]); return 1; }
    unsigned char table[256];
    int c;
    for(c=0;c<256;c++) table[c] = c;
    fread(table, 1, 256, ftable);
    fclose(ftable);
    while ((c=getchar())!=EOF) putchar(table[c]);
    return 0;
}
